%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Unicode-String

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Unicode::String - String of Unicode characters (UTF-16BE)
Name:		perl-%{perlname}
Version:	2.09
Release:	2
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Unicode+String
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion} 
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
A Unicode::String object represents a sequence of Unicode characters. 
Methods are provided to convert between various external formats 
(encodings) and Unicode::String objects, and methods are provided 
for common string manipulations.

The functions utf32be(), utf32le(), utf16be(), utf16le(), utf8(), utf7(), 
latin1(), uhex(), uchr() can be imported from the Unicode::String module 
and will work as constructors initializing strings of the corresponding 
encoding.

The Unicode::String objects overload various operators, which means that 
they in most cases can be treated like plain strings.

Internally a Unicode::String object is represented by a string of 2 byte 
numbers in network byte order (big-endian). This representation is not 
visible by the API provided, but it might be useful to know in order to 
predict the efficiency of the provided methods.

For more details see: http://search.cpan.org/search?module=Unicode+String

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.09-2
- Rebuild against perl 5.10.0
* Thu Oct 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.09-1
- Initial Release
